POST https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/campaign/{entityId}/enable.do
Switches price adjusting on for the campaign. Its price adjustment rules only change the price while this switch is on. Returns the new state in enablePriceAdjusting. Requires MANAGE_PRICE_ADJUSTING permission and UPDATE access to the owning advertiser.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/campaign/100/enable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());